# Papero

This repository holds some golang cli utilities to interact with IMAP servers.
Currently the plans include two such programs:

 - `papero`: a stateless cli tool to grab and/or alter content from the server
 - `paperod`: a daemon in charge of keeping in sync the server with local maildirs

# Roadmap

## `papero`

- [ ] read from server
  * [x] list the mailbox content
  * [x] list messages in a mailbox
  * [x] retrieve the content of a message
  * [ ] search on a content in a mailbox by criteria (flags, keywords, ...)
- [ ] modify the server
  * [x] set the flags on server
  * [ ] delete a message in mailbox
  * [ ] put a message in mailbox
  * [ ] create a mailbox
  * [ ] delete a mailbox

## `paperod`

TODO
